<?php

	require_once __DIR__.'/../Parsigram.php';
	
	$status = isset($_GET['orderStatus'])?$_GET['orderStatus']:'';
	$order_id = isset($_GET['orderId'])?$_GET['orderId']:'';

	if($status=='cancelled')
	{
		die('Order cancelled!');
	}

	if($status!='success')
	{
		die('Order is not successfull!');	
	}

	$access_token 	= 'parsigram_access_token';									# Parsigram access token


	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->verifyPayment($order_id);

		$order = isset($req->data->order)?$req->data->order:'';					# Order id
		$amount = isset($req->data->amount)?$req->data->amount:0;				# Order amount
		$currency = isset($req->data->currency)?$req->data->currency:'';		# Order currency
		$referance = isset($req->data->referance)?$req->data->referance:'';		# Order referance
		$details = isset($req->data->details)?$req->data->details:null;			# Order details

		echo '<pre>';

		echo 'Order id: '.$order."\n";
		echo 'Amount: '.$amount."\n";
		echo 'Currency: '.$currency."\n";
		echo 'Referance: '.$referance."\n\n";
		
		echo 'Details: '.print_r($details,true)."\n\n\n";

		print_r($req);
		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}



	