<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token
	
	$account 		= 'T11111111';										# Sender Parsigram account
	$amount 		= 1000;												# Transfer amount
	$target 		= 'T22222222';										# Receiver Parsigram account
	

	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->walletToAccount($account, $amount, $target);

		$batch = isset($req->data->batch)?$req->data->batch:'';							# Batch id for sender
		$target_batch = isset($req->data->target_batch)?$req->data->target_batch:'';	# Batch id for receiver
		$amount = isset($req->data->amount)?$req->data->amount:'';						# Transfer amount
		$currency = isset($req->data->currency)?$req->data->currency:'';				# Transfer currency

		echo '<pre>';
		echo 'Batch: '.$batch."\n";
		echo 'Target Batch: '.$target_batch."\n";
		echo 'Amount: '.$amount."\n";
		echo 'Currency: '.$currency."\n\n\n";

		print_r($req);
		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	