<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token
	
	$account 		= 'T11111111';										# Account for money source
	$amount 		= 1000;												# Amount for card transfer
	$card			= '4444111122223333';								# 16 Digit card number
	
	
	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->walletToCard($account, $amount, $card);

		$batch = isset($req->data->batch)?$req->data->batch:'';							# Batch id for account
		$card_batch = isset($req->data->card_batch)?$req->data->card_batch:'';			# Batch id for card
		$amount = isset($req->data->amount)?$req->data->amount:'';						# Amount
		$currency = isset($req->data->currency)?$req->data->currency:'';				# Currency

		echo '<pre>';
		echo 'Batch: '.$batch."\n";
		echo 'Card Batch: '.$card_batch."\n";
		echo 'Amount: '.$amount."\n";
		echo 'Currency: '.$currency."\n\n\n";

		print_r($req);
		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	