<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token
	
	$account 		= 'T11111111';										# Account for creating card
	$amount 		= 1000;												# Card balance
	

	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->walletCreateCard($account, $amount);

		$batch = isset($req->data->batch)?$req->data->batch:'';							# Batch id for account
		$card_batch = isset($req->data->card_batch)?$req->data->card_batch:'';			# Batch id for card
		$amount = isset($req->data->amount)?$req->data->amount:'';						# Amount
		$currency = isset($req->data->currency)?$req->data->currency:'';				# Currency

		$card = isset($req->data->card)?$req->data->card:'';							# Card number
		$cvv = isset($req->data->cvv)?$req->data->cvv:'';								# Card cvv2 code
		$expire = isset($req->data->expire)?$req->data->expire:'';						# Card expire date yymm

		echo '<pre>';

		echo 'Batch: '.$batch."\n";
		echo 'Card Batch: '.$card_batch."\n";
		echo 'Amount: '.$amount."\n";
		echo 'Currency: '.$currency."\n\n";

		echo 'Card: '.$card."\n";
		echo 'Cvv: '.$cvv."\n";
		echo 'Expire: '.$expire."\n\n\n";

		print_r($req);
		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	