<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token
	
	$account 		= 'T11111111';										# Account for creating voucher
	$amount 		= 1000;												# Voucher amount
	

	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->walletToVoucher($account, $amount);

		$batch = isset($req->data->batch)?$req->data->batch:'';							# Batch id for account
		$amount = isset($req->data->amount)?$req->data->amount:'';						# Voucher amount
		$currency = isset($req->data->currency)?$req->data->currency:'';				# Voucher currency

		$voucher = isset($req->data->voucher)?$req->data->voucher:'';					# Voucher code
		$activation = isset($req->data->activation)?$req->data->activation:'';			# Voucher activation code
		$status = isset($req->data->status)?$req->data->status:'';						# Voucher status
		

		echo '<pre>';

		echo 'Batch: '.$batch."\n";
		echo 'Amount: '.$amount."\n";
		echo 'Currency: '.$currency."\n\n";

		echo 'Voucher: '.$voucher."\n";
		echo 'Voucher Activation: '.$activation."\n";
		echo 'Voucher Status: '.$status."\n";
		
		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	