<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token

	$bank 			= '';												# Parspay bank id
	$account 		= '1234567890';										# Bank account number for account to account transfer
	$amount			= 1000;												# Amount in Tomen
	$source_account = '';												# If you have extra deposit account number in your bank and if you want to send amount from another deposit number, use this param (optional)


	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->wireAccountTransfer($bank, $account, $amount, $source_account);

		$id  	  = isset($req->data->id)?$req->data->id:'';				# Payment id
		$receipt  = isset($req->data->receipt)?$req->data->receipt:null;	# Payment receipt

		echo '<pre>';
		echo 'Id: '.$id."\n\n";
		echo 'receipt: '.print_r($receipt,true)."\n\n\n";

		print_r($req);
		echo '</pre>';


	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	