<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token
	
	$voucher 		= '1234567890';										# Voucher code
	$activation 	= '1234567890123456';								# Voucher activation
	
	
	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->voucherCreateCard($voucher, $activation);

		$batch = isset($req->data->batch)?$req->data->batch:'';							# Batch id for card
		$amount = isset($req->data->amount)?$req->data->amount:'';						# Amount
		$currency = isset($req->data->currency)?$req->data->currency:'';				# Currency

		$card = isset($req->data->card)?$req->data->card:'';							# Card number
		$cvv = isset($req->data->cvv)?$req->data->cvv:'';								# Card cvv2 code
		$expire = isset($req->data->expire)?$req->data->expire:'';						# Card expire date yymm

		echo '<pre>';
		
		echo 'Batch: '.$batch."\n";
		echo 'Amount: '.$amount."\n";
		echo 'Currency: '.$currency."\n\n";

		echo 'Card: '.$card."\n";
		echo 'Cvv: '.$cvv."\n";
		echo 'Expire: '.$expire."\n\n\n";

		print_r($req);
		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	