<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token
	
	$voucher 		= '1234567890';										# Voucher code
	$activation 	= '1234567890123456';								# Voucher activation	
	$card 			= '4444111122223333';								# Card number		
	
	
	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->voucherToCard($card, $voucher, $activation);

		$batch = isset($req->data->batch)?$req->data->batch:'';							# Batch id for card
		$amount = isset($req->data->amount)?$req->data->amount:'';						# Amount
		$currency = isset($req->data->currency)?$req->data->currency:'';				# Currency

		echo '<pre>';
		
		echo 'Batch: '.$batch."\n";
		echo 'Amount: '.$amount."\n";
		echo 'Currency: '.$currency."\n\n\n";

		print_r($req);
		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	
