<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token
	
	$page 			= 1;												# Page number of result (optional)
	$limit 			= 25;												# Row limit for each page (optional)
	$status 		= '';												# Voucer status {values: unused,used,cancelled} (optional)


	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->getVouchers($page, $limit, $status);

		$list = isset($req->data->list)?$req->data->list:[];						# List for vouchers

		$total = isset($req->data->meta->total)?$req->data->meta->total:0;			# Total rows count
		$pages = isset($req->data->meta->pages)?$req->data->meta->pages:0;			# Total pages count

		echo '<pre>';
		echo 'Total: '.$total."\n";
		echo 'Pages: '.$pages."\n\n";

		echo 'List: '.print_r($list,true)."\n\n\n";

		print_r($req);
		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	