<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';								# Parsigram access token

	$amount 		= 1000;													# Payment amount
	$callback		= 'http://mywebsite.com/callback.php';					# Callback address after payment done
	$referance		= 12345;												# Referance number for payment (optional)
	$card			= '';													# Your card id (optional) if you don't define a card id, one of your active card will open randomly
	$domain			= '';													# External domain name for location (optional)

	/*
		To use domain, you must register a domain and add it to Parsigram panel Api Access -> My Domains
		After you add domain, Parsigram will give you nameservers, please change your domain nameservers
		Then you can use it as $domain = 'mydomain.com';
	*/
		

	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->wirePayment($amount, $callback, $referance, $card, $domain);

		$order = isset($req->data->order)?$req->data->order:'';				# Order id for payment
		$location = isset($req->data->location)?$req->data->location:'';	# Locate user to this address

		header('location: '.$location);
		exit;

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	